Skip site navigation (1) Skip section navigation (2)

PostgreSQL con SSL

From: Elvis Henríquez <henriquez(dot)elvis(at)gmail(dot)com>
To: pgsql-es-ayuda(at)postgresql(dot)org
Subject: PostgreSQL con SSL
Date: 2006-05-28 19:08:10
Message-ID: 493343bd0605281208j10394601k8a82d814d7c8c627@mail.gmail.com (view raw or flat)
Thread:
Lists: pgsql-es-ayuda
Saludos lista.
Estoy intentando migrar mi instalación de PostgreSQL 8.1.0 en Linux Red Hat
9 (  PostgreSQL 8.1.0 on i686-pc-linux-gnu, compiled by GCC gcc (GCC)
3.2.220030222 (Red Hat Linux
3.2.2-5)   ) a la versión 8.1.4 por el parche de seguridad recién liberado.

Deseo en esta oportunidad mejorar la seguridad de las conexiones a mi base
de datos implementando SSL (me conecto a través de TCP/IP). Instalé en el
servidor OpenSSH openssl-0.9.8b, pero al preparar la instalación de postgres
( ./configure --with-openssl  ) obtengo el siguiente error:

[...]
checking openssl/ssl.h usability... no
checking openssl/ssl.h presence... no
checking for openssl/ssl.h... no
configure: error: header file <openssl/ssl.h> is required for OpenSSL

El archivo está en /usr/local/include/openssl/ssl.h
También copié el directorio anterior en [pgsrcdir]/include/openssl y el
error aun continúa.

Probé lo comentado en
http://archives.postgresql.org/pgsql-admin/2003-11/msg00429.php y entonces
obtengo el siguiente error:

[...]
checking for library containing com_err... no
configure: error: could not find function 'com_err' required for Kerberos 5

Alguna idea de qué puedo estar haciendo mal o qué me falta hacer ? Alguien
ya logró compilar postgres con SSH en Red Hat 9 ? Gracias.

pgsql-es-ayuda by date

Next:From: Jaime CasanovaDate: 2006-05-29 02:52:44
Subject: Re: "ayuda de vistas"
Previous:From: Alvaro HerreraDate: 2006-05-28 17:23:44
Subject: Re: Configurar para que postmaster acepte TCP/IP

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group